=== debian/changelog ===
libpcd (1.0) unstable; urgency=low

  * initial release (closes: #132780).

 -- Gerd Knorr <kraxel@debian.org>  Fri,  8 Feb 2002 14:23:46 +0100

Local variables:
mode: debian-changelog
End:
