=== debian/control ===
Source: libpcd
Section: devel
Priority: optional
Build-depends: debhelper (>=3.0)
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.5.2

Package: libpcd
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: A library for reading PhotoCD images
 A library for reading PhotoCD images

Package: libpcd-dev
Architecture: any
Section: devel
Depends: libpcd (= ${Source-Version})
Description: Header files and static library for libpcd
 Header files and static library for libpcd
