## libpcd 1.0.1

=== debian/changelog ===
libpcd (1.0.1) unstable; urgency=low

  * fix a number of 64bit bugs (s/unsigned long/uint32_t/
    in several places ...).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 22 Jul 2003 11:58:53 +0200
