=== debian/rules ===
--- 
+++ 
@@ -29,19 +29,8 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf
-	dh_installdocs	-p libpcd	README
+	dh_installdocs	-p libpcd2	README
 	dh_installdocs	-p libpcd-dev	README pcd.html pcd.css
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installmanpages
-#	dh_installinfo
 	dh_installchangelogs
 	dh_link
 	dh_strip
@@ -49,7 +38,6 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_installdeb
-#	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
